classpath-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[cp-patches] [patch] autogen.sh patch to detect the right libtoolize for


From: Andreas Tobler
Subject: [cp-patches] [patch] autogen.sh patch to detect the right libtoolize for darwin
Date: Sat, 30 Apr 2005 08:53:01 +0200
User-agent: Mozilla Thunderbird 1.0.2 (Macintosh/20050317)

Hi Mark et al.

this is a minor patch to the autogen.sh, not urgent.
Also, I need test it more in deep. (autogen.sh works, but I need to check the build)

On Darwin we have the libtoolize command named as glibtoolize. So when building from cvs this patch helps to avoid some headache when you have another libtoolize around.

The diff is against head.

Regards,
Andreas

Index: autogen.sh
===================================================================
RCS file: /cvsroot/classpath/classpath/autogen.sh,v
retrieving revision 1.11
diff -u -r1.11 autogen.sh
--- autogen.sh  26 Apr 2005 22:44:03 -0000      1.11
+++ autogen.sh  30 Apr 2005 06:47:45 -0000
@@ -12,9 +12,18 @@
 
 DIE=0
 
-have_libtool=false
-if libtoolize --version < /dev/null > /dev/null 2>&1 ; then
-       libtool_version=`libtoolize --version | sed 
's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
+case `uname -s` in
+Darwin)
+       LIBTOOLIZE=glibtoolize
+       ;;
+*)
+       LIBTOOLIZE=libtoolize
+       ;;
+esac
+
+have_libtool=true
+if ${LIBTOOLIZE} --version < /dev/null > /dev/null 2>&1 ; then
+       libtool_version=`${LIBTOOLIZE} --version | sed 
's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
        case $libtool_version in
            1.5*)
                have_libtool=true
@@ -108,7 +117,7 @@
 # Use the "-I m4 flag in order to include pkg.m4 and other .m4 files.
 $ACLOCAL -I m4 $ACLOCAL_FLAGS || exit $?
 
-libtoolize --force || exit $?
+${LIBTOOLIZE} --force || exit $?
 
 autoheader || exit $?
 

reply via email to

[Prev in Thread] Current Thread [Next in Thread]